Gimp 2.8 / Babl / Gegl - Easy install script.

Questions about applications and software
Forum rules
Before you post please read this

Gimp 2.8 / Babl / Gegl - Easy install script.

Postby trubosquid on Fri May 18, 2012 12:16 pm

Hi All,

For those who may be interested I've written a simple script that automates the whole process of compiling and installing GIMP 2.8.
It also creates DEB packages for BABL 0.1.10, GEGL 0.2.0 and GIMP 2.8 should you need to re-install them at a later date.

Today I updated the script and tidied up the code all seems to work well and its easy to use. It also now installs the Gimp icon in the
menu structure.


Here is a screen cap of Gimp 2.8 running on my LMDE box.

Image

you can download my script from my website here:-

http://telesyn.net/?p=52

Please give feedback to help me improve things where I can :)
trubosquid
Level 1
Level 1
 
Posts: 6
Joined: Tue May 15, 2012 3:35 pm

Linux Mint is funded by ads and donations.
 

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby trubosquid on Sat May 19, 2012 7:10 am

Hi all,

Just wandering if anyone has tried my Gimp 2.8 Installer? If so would love some feedback.

Thanks

Turbosquid - Telesyn.net admin
trubosquid
Level 1
Level 1
 
Posts: 6
Joined: Tue May 15, 2012 3:35 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby versys650 on Sun May 20, 2012 12:37 pm

Hi trubosquid :)

I just tried to install gimp 2.8 via your script on lmde (up4) but no success.
It has only created an entry on my menu but when i click on it nothing happens.

Here is the output from terminal if it can help you:


Gimp 2.8 / Babl-0.1.10 / Gegl 0.2.0 install script v0.2 - Rob Jewkes 2012 Telesyn.net

Build times can vary drastically depending in your processor speed,
It may take 15 mins or longer to build and install these files.

[Stage 1] Downloading dependencies. Done.
[Stage 2] Building and installing babl-0.1.10. Done.
[Stage 3] Building and installing gegl-0.2.0. chown: cannot access «*.deb»: Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
mv: cannot stat «*.deb»: Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
Done.
[Stage 4] Building and installing gimp 2.8.0. chown: cannot access «*.deb»: Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
mv: cannot stat «*.deb»: Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
mv: cannot move «gimp28.png» to «/home/versys/.gimp-2.8/»: Δεν είναι κατάλογος
Done.

Install complete.

Debian packages have been created in /home/versys


"Δεν υπάρχει τέτοιο αρχείο ή κατάλογος" means---> "No such file or directory"
versys650
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 03, 2010 2:49 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby trubosquid on Sun May 20, 2012 1:30 pm

Hi

Thanks for your feedback, it looks like it is a problem with dependencies, and that Gegl is not being compiled correctly.
I've tested the script numerous times on my LMDE x64 without fail, but dependencies can vary from install to install.
Can you give me a little more information so that i can try and replicate the fault. What architecture are you running on 32bit / 64bit?

I'll try it out on a fresh install in virtual box.

Thanks again
trubosquid
Level 1
Level 1
 
Posts: 6
Joined: Tue May 15, 2012 3:35 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby schtufbox on Mon May 21, 2012 3:15 am

I didn't use your script as is, but I did use it to find exactly what dependencies I needed. I guess I had been missing one before as I couldn't get gegl to compile previously.
It would get past ./configure but fail on make
Luckily it works now and gimp 2.8 is happily compiling as I type, will let you know how it goes, though I can't see it throwing up any errors.
I am using the part of your script for making the menu entry though :D
Thanks a lot :)
User avatar
schtufbox
Level 1
Level 1
 
Posts: 15
Joined: Wed Apr 25, 2012 12:16 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby versys650 on Mon May 21, 2012 3:27 am

trubosquid wrote:Can you give me a little more information so that i can try and replicate the fault. What architecture are you running on 32bit / 64bit?


I apologise for that,
I am running LMDE 64 bit (UP 4).
versys650
Level 1
Level 1
 
Posts: 10
Joined: Tue Aug 03, 2010 2:49 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby gychang on Mon May 21, 2012 11:52 am

I followed your script on LM12, Cinnamon, 64bit machine. It seems to install but when I click on the gimp 2.8 icon under graphics, it does not launch.

any ideas?

gychang
--
cruising the desert
--
User avatar
gychang
Level 3
Level 3
 
Posts: 143
Joined: Tue Dec 09, 2008 12:24 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby schtufbox on Mon May 21, 2012 12:09 pm

Well .. ./configure etc all goes okay.
make works fine..

but it won't install ..
In the end I tried with your script from scratch..same issue but no error message as piped to /dev/null

Tried again after a fresh download in case it was corrupt somehow...same again.
It all appears to go okay until this point:

Code: Select all
touch: setting times of `/home/asharin/.gimp-2.8/share/icons/hicolor': No such file or directory
make[3]: *** [install-data-hook] Error 1
make[3]: Leaving directory `/home/asharin/Downloads/Gimp28_Telesyn/gimp-2.8.0/desktop'
make[2]: *** [install-data-am] Error 2
make[2]: Leaving directory `/home/asharin/Downloads/Gimp28_Telesyn/gimp-2.8.0/desktop'
make[1]: *** [install-am] Error 2
make[1]: Leaving directory `/home/asharin/Downloads/Gimp28_Telesyn/gimp-2.8.0/desktop'
make: *** [install-recursive] Error 1

****  Installation failed. Aborting package creation.

Cleaning up...OK

Bye
User avatar
schtufbox
Level 1
Level 1
 
Posts: 15
Joined: Wed Apr 25, 2012 12:16 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby trubosquid on Mon May 21, 2012 8:58 pm

Hi All,

I'm still looking into the issues with the script I know what causes the problems it down to either missing dependencies
or possibly wrong versions of certain libraries. The difficult part is narrowing down which ones. Linux systems can vary
a lot, some people may have certain libraries installed other may not. Some may have one version some may have another.
When building / compiling software from source these differences can mean either a successful build or a fail.
The dependencies / packages that are installed within my script :-

build-essential libatk1.0-dev libfontconfig1-dev libcairo2-dev libgudev-1.0-0 libdbus-1-dev libdbus-glib-1-dev liblcms1-dev libexif-dev libxfixes-dev libgtk2.0-dev python2.7-dev libtiff4-dev libglib2.0-dev zlib1g-dev checkinstall

Once installed on my LMDE x64 box allow me to build BABL, GEGL, and GIMP without any issues.
What I really need to know is the definitive list of requirements to build BABL, GEGL, GIMP. Then I can update the script accordingly.
I will keep tying to improve the script compatibility, Unfortunately it's just not that straightforward.....

Windows: 32 bit extensions and a graphical shell [on top of] a 16 bit patch to an 8 bit operating system originally coded for a 4 bit microprocessor, written by a 2 bit company, that can't stand 1 bit of competition!
trubosquid
Level 1
Level 1
 
Posts: 6
Joined: Tue May 15, 2012 3:35 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby Inoki on Sun Jul 15, 2012 3:54 am

For me the script didn't work at all. It downloaeded the first two dependencies but when it had to install GIMP itself it stopped working. Am running LMDE x64 bit.
User avatar
Inoki
Level 4
Level 4
 
Posts: 202
Joined: Sat Jul 31, 2010 4:11 am
Location: Denmark

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby rich2005 on Sun Jul 15, 2012 10:06 am

Not LMDE but I have used a script to compile Gimp 2.8 and it worked fine but with all the dev packages involved there was about a 700 MB overhead. A tad large.

For my LMDE installation, I originally tried a 'buntu ppa, not really a good idea, AFAIK it now runs into dependency problems.

Took that one off and used the advice here.
viewtopic.php?f=197&t=104435

and that works fine here, don't know about LMDE 64bit
rich2005
Level 3
Level 3
 
Posts: 182
Joined: Sun Nov 07, 2010 5:22 am

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby Inoki on Sun Jul 15, 2012 10:17 am

Tried that one. Why can't at least a few major updates of softwares be pushed? Damn..... it's quite frustrating not being able to use latest software >.>
User avatar
Inoki
Level 4
Level 4
 
Posts: 202
Joined: Sat Jul 31, 2010 4:11 am
Location: Denmark

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby schtufbox on Sun Jul 15, 2012 12:53 pm

Inoki wrote:Tried that one. Why can't at least a few major updates of softwares be pushed? Damn..... it's quite frustrating not being able to use latest software >.>

I expect update pack 5 will be coming sooner rather than later now, as Linux Mint 13 XFCE and KDE are almost done.
User avatar
schtufbox
Level 1
Level 1
 
Posts: 15
Joined: Wed Apr 25, 2012 12:16 pm

Re: Gimp 2.8 / Babl / Gegl - Easy install script.

Postby Inoki on Tue Jul 31, 2012 1:40 pm

Has anyone tried this on Debian stable and it worked?
User avatar
Inoki
Level 4
Level 4
 
Posts: 202
Joined: Sat Jul 31, 2010 4:11 am
Location: Denmark

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 6 guests